Upload invoice attachment

Upload an attachment for an existing invoice. The file size limit is 6 MB.

Note: When you upload an attachment, it takes a few minutes for BILL to complete the upload process.

See Documents and attachments in the Guides section for more information, sample requests, and responses.

Path Params
string
required
length ≥ 1

BILL-generated ID of the invoice. The value begins with 00e.

Query Params
string
required
length ≥ 1

File name with extension. For example, to upload a PDF attachment titled business_details, set name as business_details.pdf.

boolean | null

Set as true to replace the existing invoice PDF with a new PDF attachment. The default value is false.

The invoice PDF is sent as an email attachment when you send an invoice to a customer. The invoice PDF also appears when the customer clicks the invoice payment link to complete the invoice payment. See Get invoice payment link to learn more about invoice payment links.

Note: You can get the list of invoice attachments with GET /v3/attachments/invoices/{invoiceId}. All the attachments in the list (including the invoice PDF) are sent as email attachments when you send the invoice to the customer.

Body Params
Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json